Subject: Re: Add 0ad

From: [email-masked]
Date: Sun, 23 Apr 2017 20:54:10 +0000

ng0 transcribed 0.8K bytes:
> Clément Lassieur transcribed 0.4K bytes:
> > Theses patches add 0ad and mozjs-38 (a dependency).  I worked in
> > cooperation with ng0.
> > 
> > 0ad needs a window manager that supports 'Extended Window Manager
> > Hints'.  See https://en.wikipedia.org/wiki/Extended_Window_Manager_Hints
> > for a list.
> > 
> > I did not try multiplayer mode.  I ran it with Awesome WM, so I did not
> > test the icons and desktop things: I'm not sure about it.
> > 
> > Please let me know if you see anything wrong :)
> 
> Wow, it's finally finished :) Games are the worst. Either they are small
> and take a short time to package, or they take almost a year. I think I
> started with this in August, in parallel to many other packages.
> 
> So cool, thanks for finishing this!
> 
> I will review this on monday or tuesday if no one else picks it up.
> -- 
> PGP and more: https://people.pragmatique.xyz/ng0/

I get this error message:

[user@abyayala ~/src/guix/review/guix]$ make; ./pre-inst-env guix package -i 0ad
make  all-recursive
make[1]: Entering directory '/home/user/src/guix/review/guix'
Making all in po/guix
make[2]: Entering directory '/home/user/src/guix/review/guix/po/guix'
make[2]: Leaving directory '/home/user/src/guix/review/guix/po/guix'
Making all in po/packages
make[2]: Entering directory '/home/user/src/guix/review/guix/po/packages'
make[2]: Leaving directory '/home/user/src/guix/review/guix/po/packages'
make[2]: Entering directory '/home/user/src/guix/review/guix'
Compiling Scheme modules...
  LOAD     (gnu packages games)
;;; note: source file ./gnu/packages/games.scm
;;;       newer than compiled /home/user/src/guix/review/guix/gnu/packages/games.go
;;; note: source file ./gnu/packages/gnuzilla.scm
;;;       newer than compiled /home/user/src/guix/review/guix/gnu/packages/gnuzilla.go
Backtrace:
          14 (primitive-load "/home/user/src/guix/review/guix/./buil…")
In ice-9/eval.scm:
    619:8 13 (_ #(#(#(#(#(#<directory (guile-user) 22…> …) …) …) …) …))
In ice-9/boot-9.scm:
   268:13 12 (for-each #<procedure load-module-file (a)> ("gnu/pa…" …))
  2792:17 11 (resolve-interface (gnu packages games) #:select _ # _ # …)
  2718:10 10 (_ (gnu packages games) _ _ #:ensure _)
  2986:16  9 (try-module-autoload _ _)
   2316:4  8 (save-module-excursion _)
  3006:22  7 (_)
In unknown file:
           6 (primitive-load-path "gnu/packages/games" #<procedure 2…>)
In ice-9/eval.scm:
    619:8  5 (_ #f)
   626:19  4 (_ #<directory (gnu packages games) 26be8c0>)
   293:34  3 (_ #(#(#(#(#(#(#(#(#(#<direc…> …) …) …) …) …) …) …) …) …))
   173:39  2 (_ #(#(#(#(#(#(#(#(#(#<direc…> …) …) …) …) …) …) …) …) …))
   223:20  1 (proc #(#(#(#(#(#(#(#(#(#<di…> …) …) …) …) …) …) …) …) …))
In unknown file:
           0 (%resolve-variable (7 . license:arev) #<directory (gnu …>)

ERROR: In procedure %resolve-variable:
ERROR: Unbound variable: license:arev
make[2]: *** [Makefile:5075: make-go] Error 1
make[2]: Leaving directory '/home/user/src/guix/review/guix'
make[1]: *** [Makefile:4202: all-recursive] Error 1
make[1]: Leaving directory '/home/user/src/guix/review/guix'
make: *** [Makefile:2792: all] Error 2
;;; WARNING: loading compiled file /run/current-system/profile/lib/guile/2.0/site-ccache/gnutls.go failed:
;;; ERROR: In procedure load-thunk-from-memory: No such file or directory
;;; note: source file /home/user/src/guix/review/guix/gnu/packages/gnuzilla.scm
;;;       newer than compiled /home/user/src/guix/review/guix/gnu/packages/gnuzilla.go
;;; note: source file /home/user/src/guix/review/guix/gnu/packages/gnuzilla.scm
;;;       newer than compiled /run/current-system/profile/lib/guile/2.0/site-ccache/gnu/packages/gnuzilla.go
;;; note: source file /home/user/src/guix/review/guix/gnu/packages/games.scm
;;;       newer than compiled /home/user/src/guix/review/guix/gnu/packages/games.go
;;; note: source file /home/user/src/guix/review/guix/gnu/packages/games.scm
;;;       newer than compiled /run/current-system/profile/lib/guile/2.0/site-ccache/gnu/packages/games.go
guix package: warning: failed to load '(gnu packages games)':
ERROR: Unbound variable: license:arev
guix package: error: 0ad: unknown package

-- 
PGP and more: https://people.pragmatique.xyz/ng0/